package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobMapper {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobPO> listSome(SalarySobPO SalarySobPO);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalarySobPO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param SalarySobPO 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalarySobPO SalarySobPO);


    /**
     * 修改，忽略null字段
     *
     * @param SalarySobPO 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalarySobPO SalarySobPO);

    void deleteByIds(@Param("ids") Collection<Long> ids);

    List<SalarySobPO> listByParam(@Param("param") SalarySobPO SalarySobPO);

    List<SalarySobPO> listByName(SalarySobPO build);
}